%global srcname click

Name:           python-%{srcname}
Version:        6.6
Release:        %mkrel 1
Summary:        Command Line Interface Creation Kit

Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/itsdangerous
Source0:        http://pypi.python.org/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python3-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools

%description
Click is a Python package for creating beautiful command line interfaces
in a composable way with as little code as necessary.  It's the "Command
Line Interface Creation Kit".  It's highly configurable but comes with
sensible defaults out of the box.

It aims to make the process of writing command line tools quick and fun
while also preventing any frustration caused by the inability to implement
an intended CLI API.

Click in three points:

  -   arbitrary nesting of commands
  -   automatic help page generation
  -   supports lazy loading of subcommands at runtime

Read the docs at http://click.pocoo.org/

%package -n python3-%{srcname}
Group:          Development/Python
Summary:        Command Line Interface Creation Kit

%description -n python3-%srcname
Click is a Python package for creating beautiful command line interfaces
in a composable way with as little code as necessary.  It's the "Command
Line Interface Creation Kit".  It's highly configurable but comes with
sensible defaults out of the box.

It aims to make the process of writing command line tools quick and fun
while also preventing any frustration caused by the inability to implement
an intended CLI API.

Click in three points:

  -   arbitrary nesting of commands
  -   automatic help page generation
  -   supports lazy loading of subcommands at runtime

Read the docs at http://click.pocoo.org/

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__python3} setup.py build
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}


%files
%{python_sitelib}/%{srcname}*

%files -n python3-%srcname
%{python3_sitelib}/%{srcname}*

%changelog
* Mon Nov 21 2016 adrianomorselli <adrianomorselli> 6.6-1uplos2016
- rebuild

* Sun Jun 26 2016 ghostbunny <ghostbunny at gmx dot de> 6.6-1pclos2016
- initial import for pclos
